C===== MAIN PROGRAM FOR SCFHF well============
C----   well's parameters:-------
C------RFW1,RFW2 -width of well 
C-------VW -depth of well  
      INTEGER S,G,S1,ZK,
     *   P(500),SI1(500),SI2(500),KK(500),
     *   SPI(35),UD(35),N(35),L(35),Q(35)

      REAL*8 Z,R,BET,H,EPS,MU,DZ,
     *   RFW1,RFW2,VW,
     *   GAM(500),TETA(35),ALM3(35),ALA(35),
     *   C3(35),ALA1(35),ALA2(35),ALM3DU(35)

      REAL*8 R1(4015),R2(4015),R3(4015),
     * R4(4015),R5(4015),R6(4015),
     * R8(120450),R7(60)

      NAMELIST/CORE/K7,R7,NU,S,NE,Z,R,BET,H,
     *   S1,L1,N,L,Q,SPI,
     *   RFW1,RFW2,VW,
     *   G,GAM,KK,SI1,SI2,EPS,
     *   KSU1,DZ,ZK

      MU=1.D 00

      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,CORE)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')
      OPEN(10,FILE='NEW$DBAS',STATUS='NEW',FORM='UNFORMATTED')
      CALL SCFHFW(K7,R7,Z,S,R,NE,BET,H,N,L,Q,L1,S1,
     *     NU,G,KK,SI1,SI2,GAM,EPS,MU,KSU1,DZ,ZK,
     *     P,UD,SPI,TETA,ALM3,C3,ALA,ALA1,ALA2,ALM3DU,
     *     RFW1,RFW2,VW,
     *     R1,R2,R3,R4,R5,R6,R8)
C============
      STOP
      END
